## yaclc 1.4.1-0.1

=== Makefile ===
debian_version_%: clean
	set -e
	cvs tag -c $@
	cvs-buildpackage -Pyaclc -T$@

%:
	debian/rules $@

## yaclc 1.3.6.1

=== debian/changelog ===
yaclc (1.3.6.1) stable; urgency=high

  * Fixed a regular expression to parse the current BTS.  Please consider for
    stable: old version does not work anymore, and this is a one-character
    change.

 -- Thomas Smith <tgs@debian.org>  Wed, 13 Nov 2002 22:01:50 -0500

yaclc (1.3.6) unstable; urgency=low

  * Fixed whatis(1) parse problem (no NAME section) with patch
    from Colin Watson.  (Closes: Bug#101101)

 -- Thomas Smith <tgs@debian.org>  Sat, 23 Jun 2001 18:59:52 -0500

yaclc (1.3.5) unstable; urgency=low

  * added makefile for less typing and easier random stuff.
  * fixed versioning problems by removing -V option.
  * removed dh_testversion from debian/rules
  * got accepted as a maintainer, first upload by myself.
  * actually, only upload at all.  Closes: Bug#88787

 -- Thomas Smith <tgs@debian.org>  Tue, 20 Mar 2001 17:40:58 -0500

yaclc (1.3.4) unstable; urgency=low

  * Do some debugging, thanks Adrian Bunk.
  * fix Build-Depends some more.  substvars don't work with dpkg-source,
    effectively.
  * Last version didn't make it in.  Closes: Bug#88787

 -- Thomas Smith <tgs@finbar.dyndns.org>  Thu,  8 Mar 2001 21:43:42 -0500

yaclc (1.3.3) unstable; urgency=low

  * This release will probably make it to the main archive, so close
    the WNPP bug.  (Closes: Bug#88787)
  * Fixed build-depends from perl-doc to dh_perl stuff:  Pod::Usage
    and pod2man are both in perl, not perl-doc.

 -- Thomas Smith <tgs@finbar.dyndns.org>  Tue,  6 Mar 2001 20:57:37 -0500

yaclc (1.3.2) unstable; urgency=low

  * fixed rules file a bit.
  * made cvs-buildpackage compatible, hopefully.

 -- Thomas Smith <tgs@finbar.dyndns.org>  Tue, 20 Feb 2001 21:39:36 -0500

yaclc (1.3.1) unstable; urgency=low

  * Initial Release.

 -- Thomas Smith <tgs@finbar.dyndns.org>  Mon, 19 Feb 2001 22:24:21 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: yaclc
Section: devel
Priority: optional
Maintainer: Thomas Smith <tgs@debian.org>
Build-Depends: perl, debhelper (>> 3.0.5)
Standards-Version: 3.2.1

Package: yaclc
Architecture: any
Depends: ${perl:Depends}, libwww-perl, libnet-ldap-perl, perl-modules, liburi-perl
Description: check the bug closings in a Debian changelog.
 yaclc (yet another change log check) queries the Bug
 Tracking System to see if the bugs closed in a package's
 changelog belong to that package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# $Id: rules,v 1.5 2001/03/21 01:55:49 tgs Exp $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	pod2man yaclc yaclc.1
	touch build-stamp

clean:
	dh_testdir
	dh_clean build-stamp configure-stamp yaclc.1

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install yaclc $(CURDIR)/debian/yaclc/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman yaclc.1
	dh_installchangelogs 
	dh_perl
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## yaclc 1.4.1

=== debian/changelog ===
yaclc (1.4.1) unstable; urgency=low

  * Should be Architecture: all, since there's no compilation involved in
    building the package (Closes: #168348)

 -- Thomas Smith <tgs@debian.org>  Fri,  8 Nov 2002 18:43:59 -0500

yaclc (1.4.0) unstable; urgency=high

  * I am working on a Python rewrite, but I noticed that the old version didn't
    parse the current BTS webpages correctly, so I fixed up this one in the
    meantime.
  * Now parses BTS correctly.
  * Made it not complain if a changelog doesn't close any bugs.
    Closes: Bug#153993
  * Now exits with status 1 if a wrong bug is found. Closes: Bug#159299
  * Now treats wnpp bugs as belonging to the package.  Closes: Bug#159419
  * Fixed the code to more closely match the man page in a couple of places.
  * Add note about how to use -i on a debian organization machine.

 -- Thomas Smith <tgs@debian.org>  Sun, 27 Oct 2002 21:33:02 -0500

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: optional
 Maintainer: Thomas Smith <tgs@debian.org>
-Build-Depends: perl, debhelper (>> 3.0.5)
+Build-Depends-Indep: perl, debhelper (>> 3.0.5)
 Standards-Version: 3.2.1
 
 Package: yaclc
-Architecture: any
+Architecture: all
 Depends: ${perl:Depends}, libwww-perl, libnet-ldap-perl, perl-modules, liburi-perl
 Description: check the bug closings in a Debian changelog.
  yaclc (yet another change log check) queries the Bug

=== debian/rules ===
--- 
+++ 
@@ -35,10 +35,6 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs
@@ -53,5 +49,9 @@
 	dh_md5sums
 	dh_builddeb
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## yaclc 1.4.1-0.1

=== debian/changelog ===
yaclc (1.4.1-0.1) unstable; urgency=low

  * Non-Maintainer Upload with maintainer consent.

  * debian/copyright: add copyright statement and correct the licence
    to match the actual situation (Closes: #341860).

  * dupload.example: add example configuration for dupload, thanks
    Benjamin Drieu (Closes: #159424).

  * debian/control: update description, debhelper version 5,
    move debhelper to build-depends from -indep, checked for
    policy 3.7.2 compliance.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed,  5 Jul 2006 16:46:35 +0200

=== debian/control ===
Source: yaclc
Section: devel
Priority: optional
Maintainer: Thomas Smith <tgs@debian.org>
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: perl
Standards-Version: 3.7.2

Package: yaclc
Architecture: all
Depends: ${perl:Depends}, libwww-perl, libnet-ldap-perl, perl-modules, liburi-perl
Description: Check the bug closings in a Debian changelog
 yaclc (yet another change log check) queries the Bug
 Tracking System to see if the bugs closed in a package's
 changelog actually belong to that package. This helps to
 prevent accidental closing of the wrong bugs in an upload.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=2
+export DH_COMPAT=5
 
 configure: configure-stamp
 configure-stamp:
@@ -39,6 +39,7 @@
 	dh_testroot
 	dh_installdocs
 	dh_installman yaclc.1
+	dh_installexamples
 	dh_installchangelogs 
 	dh_perl
 	dh_link
